
Katello - Bug #5983

hammer organization delete do not accept --id argument
Status: Closed   

Priority: Normal   

Assignee: Adam Price   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1096241 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1096241

Description of problem:

When trying to delete an organization by its ID the hammer organization delete command does not accept the --id argument.

Version-Release number of selected component (if applicable):

1. hammer --version

hammer (0.1.0)  * hammer_cli_foreman (0.1.0)  * hammer_cli_katello (0.0.3)

How reproducible:

Aways

Steps to Reproduce:

1. hammer organization delete --id=<an_org_id>

Actual results:

The command fail with the following error: Error: Unrecognised option '--id'

Expected results:

The command should accept the --id argument and delete the organization.

Additional info:

The --id argument is not listed on the expected arguments.

1. hammer organization delete -h

Usage:

hammer organization delete [OPTIONS]

Options:

--label LABEL                 Label to search by

--name NAME                   Name to search by

-h, --help                    print help

Associated revisions

Revision 947ee910 - 05/29/2014 08:02 PM - Adam Price

fixes #5983 - added missing --id param to `hammer org delete`, BZ1096241

Revision fe95f2eb - 05/30/2014 03:01 PM - Adam Price

Merge pull request #4177 from komidore64/rmi5983-id-param-for-org-delete

fixes #5983 - added missing --id param to `hammer org delete`, BZ1096241

History

#1 - 05/29/2014 03:12 PM - Eric Helms

05/17/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1096241


- Status changed from New to Assigned

- Target version set to 45

- Triaged set to Yes

#2 - 05/30/2014 03:52 PM - Anonymous

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:947ee9107bb12d34224596af8a5cceef0a9ae8a3.

#3 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
